Page MenuHomePhabricator

Interaction bug with language selector on file caption UploadWizard prototype
Closed, ResolvedPublic

Description

Bug summary: if the user keeps their mouse down while selecting their language, the language won't actually be selected.

step to reproduce:

a.) Mouse over "English"
b.) click
c.) move mouse to desired language, release mouse button.
d.) note the dropdown didn't change to the desired language

See the following link for a video of the bug:
https://commons.wikimedia.org/w/index.php?title=File%3AIn_the_new_Upload_Wizard%2C_language_selection_does_not_work_with_when_keeping_the_mouse_pressed_with_Chrome_63.0.3239.108_on_Linux.webm

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptApr 30 2018, 6:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 430383 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Don't open ULS until click completed

https://gerrit.wikimedia.org/r/430383

Above patch won't make "keep mouse down, move over language, release mouse, language is selected" possible.
Instead, it'll prevent the dropdown from expanding until the mouse has been released (like the non-ULS language selector, or any other OO.ui.DropdownWidget), thus making it impossible to trigger above confusing experience.

Change 430383 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Don't open ULS until click completed

https://gerrit.wikimedia.org/r/430383

Vvjjkkii renamed this task from Interaction bug with language selector on file caption UploadWizard prototype to eydaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed matthiasmullie as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: matthiasmullie; removed: gerritbot, Aklapper.
CommunityTechBot assigned this task to matthiasmullie.
CommunityTechBot renamed this task from eydaaaaaaa to Interaction bug with language selector on file caption UploadWizard prototype.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: matthiasmullie.
matthiasmullie closed this task as Resolved.Jul 2 2018, 4:11 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.